## Alignment

| Document Summary||
|-----------------|--------|
| Project| DISNET |

In this project we performed an application of two different methods of local heuristic alignment algorithms for sequence similarity detection (implemented in CPR https://short.upm.es/bo0oq). The choice for a local algorithm aims for region pattern recognition that might provide insights of similarity under the assumption of possibly detecting protein pairs sharing the same patterns. For every hit result, values of query coverage, identity percentage, e-value and bitscore were retrieved. Two methods of alignment were used for similarity search.

*  Protein BLAST (BLASTp). The code was implemented with biopython’s NcbiblastpCommandline wrapper using the Standalone BLAST+ package . For this method, the alignment regions were additionally retrieved. For scoring, costs chosen for gap opening and extensions were 11 and 1 respectively, with a BLOSUM62 scoring matrix.

*  PSIBLAST. Uses PSSM from a custom or online database of sequences, instead of PAM or BLOSUM matrixes for alignment scoring, thereby retrieving matches from a collection of sequences with more sensitivity. The code was implemented with the BLAST+ makeblastdb.sh and psiblast.sh Standalone BLAST+ package executables calling them from the popen.subprocess os python function.

Both BLASTp pairwise and PSIBLAST alignments were done in the DR datasets, for all combinations of protein – target sequence pairs, establishing an initial cutoff e-value of 1 for BLAST, and the default cutoff e-value of 10 for PSIBLAST. For this former method, a previous step of creating a database of protein targets had to be done. A higher cutoff value was chosen for PSIBLAST alignments to get a higher number of alignment results for representativeness when comparing alignments in both unfiltered and filtered subsets, as this method gave alignments with higher e-values.

### List of Authors

| Author name| Email|
|-----------------:|-----------|
|Natalia García Sánchez | natalia.garcia.sanchez@alumnos.upm.es |

All the code for simmilarity detection was implemented on the following code links

## Alignment Code summary

|GitLab group and project |Scripts location (URL) |
| :----: | :----: | 
| Disnet/ proyectos-DISNET-NataliaGarciaSanchez / "CPR/Generating DR/Alignment" |https://short.upm.es/kth82| 
| Disnet/ proyectos-DISNET-NataliaGarciaSanchez / "CPR/Analyzing DR/Alignment" |https://short.upm.es/c1yt7| 

| Folder  | Code's aim |
| - |-|
| "CPR/Generating DR/Alignment" | Similarity detection in DR testing subsets for candidate search |
| "CPR/Analyzing DR/Alignment"  | Similarity detection in DR case subsets  |

## Alignment results summary

|GitLab group and project |Scripts location (URL) |
| :----: | :----: | 
| Disnet/ proyectos-DISNET-NataliaGarciaSanchez / "SMR/Generating DR/Alignment" |https://short.upm.es/yeing| 
| Disnet/ proyectos-DISNET-NataliaGarciaSanchez / "SMR/Analyzing DR/Alignment" |https://short.upm.es/um6lx | 